<?xml version="1.0" encoding="utf-8"?>
<androidx.drawerlayout.widget.DrawerLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/drawerLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@mipmap/bg_home"
            app:layout_constraintTop_toTopOf="parent" />

        <net.lucode.hackware.magicindicator.MagicIndicator
            android:id="@+id/magicIndicator"
            android:layout_width="wrap_content"
            android:layout_height="56dp"
            android:layout_marginTop="25dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/ivMine"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:src="@mipmap/icon_menu"
            app:layout_constraintBottom_toBottomOf="@+id/magicIndicator"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@+id/magicIndicator" />


        <ImageView
            android:id="@+id/ivMsg"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="12dp"
            android:src="@mipmap/message"
            app:layout_constraintBottom_toBottomOf="@+id/magicIndicator"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@+id/magicIndicator" />


        <com.duolingo.open.rtlviewpager.RtlViewPager
            android:id="@+id/viewPager"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/magicIndicator" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/clMine"
        android:background="#fff"
        android:layout_gravity="start"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ImageView
            android:id="@+id/ivBg"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@mipmap/bg_mine"
            app:layout_constraintTop_toTopOf="parent" />

        <com.swago.baseswago.cusview.MediumTextView
            android:id="@+id/tvEdit"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="16dp"
            android:background="@drawable/shape_white_20"
            android:drawableStart="@mipmap/icon_edit"
            android:drawablePadding="2dp"
            android:paddingStart="8dp"
            android:paddingEnd="8dp"
            android:text="@string/edit"
            android:textColor="#131B23"
            android:textSize="14dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tvID" />


        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/ivAvatar"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="66dp"
            android:src="@mipmap/default_avatar"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.swago.baseswago.cusview.BoldTextView
            android:id="@+id/tvName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:maxWidth="120dp"
            android:maxLines="1"
            android:textColor="#435568"
            android:textSize="20dp"
            app:layout_constraintStart_toEndOf="@+id/ivAvatar"
            app:layout_constraintTop_toTopOf="@+id/ivAvatar"
            tools:text="NickName" />

        <com.swago.baseswago.cusview.SwagoLevelView
            android:id="@+id/tvLevelView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="3dp"
            app:layout_constraintBottom_toBottomOf="@+id/tvName"
            app:layout_constraintStart_toEndOf="@+id/tvName"
            app:layout_constraintTop_toTopOf="@+id/tvName" />

        <ImageView
            android:id="@+id/ivVip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="5dp"
            android:src="@mipmap/vip"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/tvLevelView"
            app:layout_constraintStart_toEndOf="@+id/tvLevelView"
            app:layout_constraintTop_toTopOf="@+id/tvLevelView"
            tools:visibility="visible" />

        <ImageView
            android:id="@+id/tvAgent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="5dp"
            android:src="@mipmap/icon_agent"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/tvLevelView"
            app:layout_constraintEnd_toStartOf="@+id/tvOfficial"
            app:layout_constraintStart_toEndOf="@+id/ivVip"
            app:layout_constraintTop_toTopOf="@+id/tvLevelView"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/tvOfficial"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="5dp"
            android:background="@mipmap/icon_official_bg"
            android:paddingStart="16dp"
            android:paddingEnd="5dp"
            android:text="@string/official"
            android:textColor="#fff"
            android:textSize="10dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/tvLevelView"
            app:layout_constraintStart_toEndOf="@+id/tvAgent"
            app:layout_constraintTop_toTopOf="@+id/tvLevelView"
            tools:visibility="visible" />

        <com.swago.baseswago.cusview.RegularTextView
            android:id="@+id/tvID"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:maxWidth="120dp"
            android:maxLines="1"
            android:textColor="#868686"
            android:textSize="12dp"
            app:layout_constraintBottom_toBottomOf="@+id/ivAvatar"
            app:layout_constraintStart_toEndOf="@+id/ivAvatar"
            tools:text="ID:12030747" />


        <LinearLayout
            android:id="@+id/llFollow"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:gravity="center"
            android:orientation="vertical"
            app:layout_constraintEnd_toStartOf="@+id/llFans"
            app:layout_constraintHorizontal_chainStyle="spread"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/ivAvatar">

            <com.swago.baseswago.cusview.MediumTextView
                android:id="@+id/tvFollowNum"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="#435568"
                android:textSize="24dp"
                tools:text="24" />

            <com.swago.baseswago.cusview.RegularTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/follow"
                android:textColor="#828C9D"
                android:textSize="12dp" />

        </LinearLayout>


        <LinearLayout
            android:id="@+id/llFans"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:gravity="center"
            android:orientation="vertical"
            app:layout_constraintEnd_toStartOf="@+id/llCoin"
            app:layout_constraintStart_toEndOf="@+id/llFollow"
            app:layout_constraintTop_toBottomOf="@+id/ivAvatar">

            <com.swago.baseswago.cusview.MediumTextView
                android:id="@+id/tvFansNum"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="#435568"
                android:textSize="24dp"
                tools:text="24" />

            <com.swago.baseswago.cusview.RegularTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/fans"
                android:textColor="#828C9D"
                android:textSize="12dp" />

        </LinearLayout>


        <LinearLayout
            android:id="@+id/llCoin"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:gravity="center"
            android:orientation="vertical"
            app:layout_constraintEnd_toStartOf="@+id/llDiamonds"
            app:layout_constraintStart_toEndOf="@+id/llFans"
            app:layout_constraintTop_toBottomOf="@+id/ivAvatar">

            <com.swago.baseswago.cusview.MediumTextView
                android:id="@+id/tvCoin"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="#435568"
                android:textSize="24dp"
                tools:text="24" />

            <com.swago.baseswago.cusview.RegularTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/coin"
                android:textColor="#828C9D"
                android:textSize="12dp" />

        </LinearLayout>


        <LinearLayout
            android:id="@+id/llDiamonds"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:gravity="center"
            android:orientation="vertical"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/llCoin"
            app:layout_constraintTop_toBottomOf="@+id/ivAvatar">

            <com.swago.baseswago.cusview.MediumTextView
                android:id="@+id/tvDiamonds"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="#435568"
                android:textSize="24dp"
                tools:text="24" />

            <com.swago.baseswago.cusview.RegularTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/diamond"
                android:textColor="#828C9D"
                android:textSize="12dp" />

        </LinearLayout>


        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/frameLayout"
            android:layout_width="match_parent"
            android:layout_height="80dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="21dp"
            android:layout_marginEnd="16dp"
            android:background="@drawable/shape_white_20"
            app:layout_constraintTop_toBottomOf="@+id/llFollow">

            <com.swago.baseswago.cusview.RegularTextView
                android:id="@+id/tvXLevel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableTop="@mipmap/icon_my_level"
                android:drawablePadding="2dp"
                android:text="@string/level"
                android:textColor="#131B23"
                android:textSize="12dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@+id/tvXTopUp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <com.swago.baseswago.cusview.RegularTextView
                android:id="@+id/tvXTopUp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableTop="@mipmap/icon_my_topup"
                android:drawablePadding="2dp"
                android:text="@string/top_up"
                android:textColor="#131B23"
                android:textSize="12dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@+id/tvXWithdrawal"
                app:layout_constraintStart_toEndOf="@+id/tvXLevel"
                app:layout_constraintTop_toTopOf="parent" />

            <com.swago.baseswago.cusview.RegularTextView
                android:id="@+id/tvXWithdrawal"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableTop="@mipmap/icon_my_withdrawal"
                android:drawablePadding="2dp"
                android:text="@string/withdrawal"
                android:textColor="#131B23"
                android:textSize="12dp"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@+id/tvXTaskCenter"
                app:layout_constraintStart_toEndOf="@+id/tvXTopUp"
                app:layout_constraintTop_toTopOf="parent" />

            <com.swago.baseswago.cusview.RegularTextView
                android:id="@+id/tvXTaskCenter"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableTop="@mipmap/icon_my_task"
                android:drawablePadding="2dp"
                android:text="@string/task_center"
                android:textColor="#131B23"
                android:textSize="12dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/tvXWithdrawal"
                app:layout_constraintTop_toTopOf="parent" />


        </androidx.constraintlayout.widget.ConstraintLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="20dp"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/frameLayout">

            <com.swago.baseswago.cusview.MediumTextView
                android:id="@+id/tvBlackList"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:drawableStart="@mipmap/icon_mine_black"
                android:drawableEnd="@mipmap/more_small"
                android:drawablePadding="5dp"
                android:gravity="center_vertical"
                android:paddingStart="20dp"
                android:paddingEnd="20dp"
                android:text="@string/blacklist"
                android:textColor="#000"
                android:textSize="16dp" />


            <com.swago.baseswago.cusview.MediumTextView
                android:id="@+id/tvCustomService"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:drawableStart="@mipmap/icon_mine_custom"
                android:drawableEnd="@mipmap/more_small"
                android:drawablePadding="5dp"
                android:gravity="center_vertical"
                android:paddingStart="20dp"
                android:paddingEnd="20dp"
                android:text="@string/contact_service"
                android:textColor="#000"
                android:textSize="16dp" />

            <com.swago.baseswago.cusview.MediumTextView
                android:id="@+id/tvSetting"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:drawableStart="@mipmap/icon_mine_setting"
                android:drawableEnd="@mipmap/more_small"
                android:drawablePadding="5dp"
                android:gravity="center_vertical"
                android:paddingStart="20dp"
                android:paddingEnd="20dp"
                android:text="@string/app_settings"
                android:textColor="#000"
                android:textSize="16dp" />


        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.drawerlayout.widget.DrawerLayout>